<div class="add-edit-staff-container">
  <block-ui message="Loading...">
  </block-ui>
  <div class="alert-wrapper">
    <app-alert [message]="message" [type]="type" id="alert"></app-alert>
  </div>

  <!-- DISPLAY ADD/EDIT STAFF TITLE -->
  <div class="add-edit-staff-content">
    <div class="title-container">
      <h3 id="heading">{{isForEdit ? 'Edit' : 'Set up'}} Business</h3>
    </div>

    <form [formGroup]="businessForm">
      <div class="form-group row">
        <div class="col-xl-3 col-lg-6">
          <div class="row">
            <div class="col-xl-12 d-flex align-items-center ">
              <app-image-upload></app-image-upload>
            </div>

            <!-- Phone  -->
            <div class="col-xl-12 mt-4 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Phone</mat-label>
                <input matInput placeholder="Phone" type="tel" formControlName="phone">
              </mat-form-field>
            </div>

            <!-- Mobile  -->
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Mobile</mat-label>
                <input matInput placeholder="Mobile" type="tel" formControlName="mobile">
              </mat-form-field>
            </div>

            <!-- Email id  -->
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Email</mat-label>
                <input matInput placeholder="Email" required formControlName="emailId" appCharLimit
                  [frmGroup]="businessForm" fcName="emailId" [max]="100">

                <mat-error *ngIf="businessForm.get('emailId').hasError('exceedLimit')">
                  {{businessForm.get('emailId').getError('exceedLimit')}}
                </mat-error>
                <mat-error *ngIf="businessForm.get('emailId').hasError('required')">
                  This field is required
                </mat-error>
                <mat-error *ngIf="businessForm.get('emailId').hasError('pattern')">
                  Please enter a valid email address.
                </mat-error>
              </mat-form-field>
            </div>

            <!-- Website  -->
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Website</mat-label>
                <input matInput placeholder="Website" formControlName="website" appCharLimit [frmGroup]="businessForm"
                  fcName="website" [max]="100">
                <mat-error *ngIf="businessForm.get('website').hasError('exceedLimit')">
                  {{businessForm.get('website').getError('exceedLimit')}}
                </mat-error>

                <mat-error
                  *ngIf="businessForm.get('website').touched && businessForm.get('website').hasError('pattern')">
                  Please enter a valid website address.
                </mat-error>
              </mat-form-field>
            </div>

            <!-- Fax  -->
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Fax</mat-label>
                <input matInput placeholder="Fax" type="tel" formControlName="fax">
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-xl-6 col-lg-6">
          <div class="row pb-2">
            <!-- Business Name  -->
            <div class="col-xl-12 text-right">
              <span class="required">Required</span>
            </div>
            <div class="col-xl-12 d-flex align-items-center">

              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Business Name</mat-label>
                <input matInput placeholder="Business Name" required formControlName="businessName" appCharLimit
                  [frmGroup]="businessForm" fcName="businessName" [max]="100">

                <mat-error *ngIf="businessForm.get('businessName').hasError('exceedLimit')">
                  {{businessForm.get('businessName').getError('exceedLimit')}}
                </mat-error>

                <mat-error *ngIf="businessForm.get('businessName').hasError('required')">
                  This field is required
                </mat-error>
                <mat-hint>Short Name of this Business</mat-hint>
              </mat-form-field>
            </div>

            <!-- Business Registration Name  -->
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Business Registration Name</mat-label>
                <input matInput placeholder="Business Registration Name" formControlName="businessRegistrationName"
                  appCharLimit [frmGroup]="businessForm" fcName="businessRegistrationName" [max]="200">

                <mat-error *ngIf="businessForm.get('businessRegistrationName').hasError('exceedLimit')">
                  {{businessForm.get('businessRegistrationName').getError('exceedLimit')}}
                </mat-error>
              </mat-form-field>
            </div>

            <!-- Business Registration Number  -->
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Business Registration Number</mat-label>
                <input matInput placeholder="Business Registration Number" formControlName="businessRegistrationNo"
                  appCharLimit [frmGroup]="businessForm" fcName="businessRegistrationNo" [max]="50">

                <mat-error *ngIf="businessForm.get('businessRegistrationNo').hasError('exceedLimit')">
                  {{businessForm.get('businessRegistrationNo').getError('exceedLimit')}}
                </mat-error>
              </mat-form-field>
            </div>

            <!-- Contact Person  -->
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Contact Person</mat-label>
                <input matInput placeholder="Contact Person" formControlName="contactPerson" appCharLimit
                  [frmGroup]="businessForm" fcName="contactPerson" [max]="100">

                <mat-error *ngIf="businessForm.get('contactPerson').hasError('exceedLimit')">
                  {{businessForm.get('contactPerson').getError('exceedLimit')}}
                </mat-error>
                <mat-hint>Kavanii will contact this person for any information</mat-hint>
              </mat-form-field>
            </div>
          </div>

          <mat-accordion>
            <mat-expansion-panel expanded="true">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Business Address
                </mat-panel-title>
                <mat-panel-description>
                  Required
                </mat-panel-description>
              </mat-expansion-panel-header>

              <!-- Address details -->
              <div class="row pt-2 pb-2">
                <div class="col-xl-12">
                  <app-address-field [addressForm]="businessForm" addressFieldName="address1" [hasAddress2]="true">
                  </app-address-field>
                </div>

                <!--                <div class="col-xl-12">-->
                <!--                  <mat-form-field [appearance]="apperance" class="full-width">-->
                <!--                    <mat-label>Address 1</mat-label>-->
                <!--                    <input matInput placeholder="Address 1" formControlName="address1">-->
                <!--                  </mat-form-field>-->
                <!--                </div>-->
                <!--                <div class="col-xl-12">-->
                <!--                  <mat-form-field [appearance]="apperance" class="full-width">-->
                <!--                    <mat-label>Address 2</mat-label>-->
                <!--                    <input matInput placeholder="Address 2" formControlName="address2">-->
                <!--                  </mat-form-field>-->
                <!--                </div>-->
                <!--                <div class="col-xl-12">-->
                <!--                  <mat-form-field [appearance]="apperance" class="full-width">-->
                <!--                    <mat-label>City</mat-label>-->
                <!--                    <mat-select formControlName="city">-->
                <!--                      <mat-option value="Sydney">-->
                <!--                        Sydney-->
                <!--                      </mat-option>-->
                <!--                      <mat-option value="Melbourne">-->
                <!--                        Melbourne-->
                <!--                      </mat-option>-->
                <!--                    </mat-select>-->
                <!--                  </mat-form-field>-->
                <!--                </div>-->
                <!--                <div class="col-xl-6">-->
                <!--                  <mat-form-field [appearance]="apperance" class="full-width">-->
                <!--                    <mat-label>State</mat-label>-->
                <!--                    <mat-select formControlName="state">-->
                <!--                      <mat-option value="ACT">-->
                <!--                        ACT-->
                <!--                      </mat-option>-->
                <!--                      <mat-option value="NSW">-->
                <!--                        NSW-->
                <!--                      </mat-option>-->
                <!--                    </mat-select>-->
                <!--                  </mat-form-field>-->
                <!--                </div>-->

                <!--                <div class="col-xl-6">-->
                <!--                  <mat-form-field [appearance]="apperance" class="full-width">-->
                <!--                    <mat-label>Post code</mat-label>-->
                <!--                    <input matInput placeholder="Post code" formControlName="postCode">-->
                <!--                  </mat-form-field>-->
                <!--                </div>-->

                <!--                <div class="col-xl-12">-->
                <!--                  <mat-form-field [appearance]="apperance" class="full-width">-->
                <!--                    <mat-label>Country</mat-label>-->
                <!--                    &lt;!&ndash; <input matInput placeholder="Country" formControlName="country"> &ndash;&gt;-->
                <!--                    <mat-select formControlName="country">-->
                <!--                      <mat-option *ngFor="let c of countries | orderBy: 'country_Name'" [value]="c.country_Name">-->
                <!--                        {{ c.country_Name }}-->
                <!--                      </mat-option>-->
                <!--                    </mat-select>-->
                <!--                  </mat-form-field>-->
                <!--                </div>-->
              </div>

            </mat-expansion-panel>
          </mat-accordion>

          <mat-accordion>
            <mat-expansion-panel expanded="true">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Bank details
                </mat-panel-title>
                <mat-panel-description>
                  Required
                </mat-panel-description>
              </mat-expansion-panel-header>
              <div class="row">
                <!-- Bank Name  -->
                <div class="col-xl-12 d-flex align-items-center">
                  <mat-form-field [appearance]="apperance" class="full-width">
                    <mat-label>Bank Name</mat-label>
                    <input matInput placeholder="Bank Name" formControlName="bankName" appCharLimit
                      [frmGroup]="businessForm" fcName="bankName" [max]="100">

                    <mat-error *ngIf="businessForm.get('bankName').hasError('exceedLimit')">
                      {{businessForm.get('bankName').getError('exceedLimit')}}
                    </mat-error>
                  </mat-form-field>
                </div>
                <!-- BSB Number  -->
                <div class="col-xl-12 d-flex align-items-center">
                  <mat-form-field [appearance]="apperance" class="full-width">
                    <mat-label>BSB Number</mat-label>
                    <input matInput placeholder="BSB Number" formControlName="bsbNumber">
                  </mat-form-field>
                </div>

                <!-- Account Number  -->
                <div class="col-xl-12 d-flex align-items-center">
                  <mat-form-field [appearance]="apperance" class="full-width">
                    <mat-label>Account Number</mat-label>
                    <input matInput placeholder="Account Number" formControlName="accountNumber" appCharLimit
                      [frmGroup]="businessForm" fcName="accountNumber" [max]="30">

                    <mat-error *ngIf="businessForm.get('accountNumber').hasError('exceedLimit')">
                      {{businessForm.get('accountNumber').getError('exceedLimit')}}
                    </mat-error>
                  </mat-form-field>
                </div>

                <!-- Invoice Terms  -->
                <div class="col-xl-12 d-flex align-items-center">
                  <mat-form-field [appearance]="apperance" class="full-width">
                    <mat-label>Invoice Terms</mat-label>
                    <textarea matInput placeholder="Invoice Terms" formControlName="invoiceTerms" rows="3" appCharLimit
                      [frmGroup]="businessForm" fcName="invoiceTerms" [max]="250"></textarea>

                    <mat-error *ngIf="businessForm.get('invoiceTerms').hasError('exceedLimit')">
                      {{businessForm.get('invoiceTerms').getError('exceedLimit')}}
                    </mat-error>
                  </mat-form-field>
                </div>

                <!-- Notes  -->
                <div class="col-xl-12 d-flex align-items-center">
                  <mat-form-field [appearance]="apperance" class="full-width">
                    <mat-label>Notes</mat-label>
                    <textarea matInput placeholder="Notes" formControlName="notes" rows="3"></textarea>
                  </mat-form-field>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>

        </div>
        <div class="col-xl-3 col-lg-12">
          <div class="col-xl-12 text-right pl-0 pr-0">
            <kendo-switch formControlName="status" [onLabel]="'Active'" [offLabel]="'Inactive'" class="mt-3 mb-3">
            </kendo-switch>
            <mat-divider></mat-divider>
          </div>
          <h4 class="mt-3 mb-3  d-flex align-items-center bold_22px_24px normalhelfont">
            <mat-icon>access_time</mat-icon>
            Trading hours
          </h4>
          <div class="col-xl-12 d-flex flex-wrap align-items-center pl-0 pr-0 mt-4">
            <div class="pl-0 pr-2" style="margin-top: -22px; min-width: 138px;">
              <b>Business Start Time:</b>
            </div>
            <diV class="pl-0 pr-0" style="width: 158px !important;">
              <mat-form-field [appearance]="apperance">
                <app-time-picker formControlName="startTime"></app-time-picker>
              </mat-form-field>
              <!--            <kendo-timepicker formControlName="startTime" [steps]="steps" class="pl-3"></kendo-timepicker>-->
            </diV>
            <!-- <vaadin-time-picker label="Select Time"></vaadin-time-picker> -->
          </div>
          <div class="col-xl-12 d-flex flex-wrap align-items-center mt-3 pl-0 pr-0">
            <div class="pl-0 pr-2" style="margin-top: -22px; min-width: 138px;">
              <b>Business End Time:</b>
            </div>
            <diV class="pl-0 pr-0" style="width: 158px !important;">
              <mat-form-field [appearance]="apperance">
                <app-time-picker formControlName="endTime" [min]="min"></app-time-picker>
                <mat-error *ngIf="businessForm.get('endTime').hasError('endTimeGreater')">
                  End time greater than start time
                </mat-error>
              </mat-form-field>
              <!--            <kendo-timepicker formControlName="endTime" [steps]="steps" class="pl-3"></kendo-timepicker>-->
            </diV>
          </div>
        </div>
      </div>
    </form>
  </div>

  <div class="text-right footer-container" [class.side-nave-small]="!appState.sideNavToggle">
    <div class="pt-3">
      <button mat-stroked-button color="accent" class="mr-3" (click)="cancel();">Cancel</button>
      <button mat-raised-button color="accent" class="footer-btn-customize" (click)="createBusiness();"
              *ngIf="authService.isOwner()"
        [disabled]="businessForm.invalid || submitting">
        <span *ngIf="!submitting">Save</span>
        <span *ngIf="submitting">Saving...</span>
      </button>
    </div>
  </div>
</div>


<!--<div class="tool-content-space">-->
<!--  <block-ui message="Loading...">-->
<!--  </block-ui>-->

<!--  <h3 class="mb-3 mt-3" id="heading">-->

<!--  </h3>-->
<!--  <div class="ml-5 mr-5">-->
<!--    <app-alert [message]="message" [type]="type" id="alert">-->
<!--    </app-alert>-->
<!--  </div>-->





<!--  <div class="text-right control-row">-->
<!--    <mat-divider class=""></mat-divider>-->
<!--    <div class="pt-3">-->

<!--    </div>-->
<!--  </div>-->
<!--</div>-->
